##
## Copyright (c) 2021 The Yaook Authors.
##
## This file is part of Yaook.
## See https://yaook.cloud for further info.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: {{ "%s-db-galeraca" | format(labels["state.yaook.cloud/parent-name"]) }}
spec:
  secretName: {{ dependencies['replication_ca_certificate_secret'].resource_name() }}
  duration: 672h  # 4 weeks
  renewBefore: 504h  # 3 weeks
  isCA: true
  subject:
    organizations:
    - yaook
  commonName: {{ "%s-db-galeraca" | format(labels["state.yaook.cloud/parent-name"]) }}
  issuerRef: {{ crd_spec.backendCAIssuerRef }}
